Bug 21410 - Cannot override file conflict
Cannot override file conflict
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-11-28 01:10 EST by zeroday26
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-05 16:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description zeroday26 2000-11-28 01:10:21 EST
when upgrading a package and a file conflict is found, hitting
yes in the "Are you sure you wish to continue" dialog fails to
continue the installation- forcing the user to resort to the
command line version. I encountered this problem with 
/usr/share/pixmaps/netscape.png conflicting between the latest
helixcode gnome-core package and the latest netscape packages,
as well as several times before. Dependancy problem dialogs
work fine, with "yes" properly continuing the install/upgrade.

You know I also have another gripe in that whenever upgrading
rpms that come with the initial install, I always get this dumb 
"package README not listed in file index" dialog box which
seems gratuitously annoying.
Comment 1 Bill Nottingham 2000-11-28 02:12:47 EST
That second error should go away if you install the errata RPM, I do
Comment 2 zeroday26 2000-11-28 14:56:58 EST
All the available errata updates for RPM and gnorpm have been installed.
The warning dialog still appears whenever upgrading an RPM that comes with
the original installation- which is why I mentioned it there. Subsequent
upgrades to rpm's that have been upgraded before (such as netscape) do not
trigger the warning. It is not necesarrily a bug in rpm or gnorpm- it could
just be a quirky build of the rpm's that constitute RH6.2, and the warning
would be appropriate considering that the original rpms were misbuilt...

Does anybody reading this have RH7.0 and use gnorpm to upgrade errata rpms?
Do you get the warning dialog mentioned above the first time you upgrade
an rpm that came with the RH7.0 CD install?

Comment 3 Alexander Larsson 2001-08-02 12:21:24 EDT
Works in my version (0.96-1), which is in 7.1, marking fixed. Please upgrade
gnorpm if you want this fixed.

Note You need to log in before you can comment on or make changes to this bug.